[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: missing dependency php



On Apr 3, 2005 3:23 PM, kate <kate7234 yahoo com> wrote:
> Craig, thanks-
> 
> --- Craig White <craigwhite azapple com> wrote:
> > On Sun, 2005-04-03 at 14:03 -0700, kate wrote:
> > > While attempting to run yum, I am unable to
> > resolve
> > > dependency for php
> > >
> > > I have 2.6.10-1.770_FC3
> > > and php *is* installed
> > > # rpm -qa php
> > > php-4.3.9-3
> > >
> > > When I try yum update
> > > Error: Missing Dependency: php is needed by
> > package
> > > php-ldap
> > > Error: Missing Dependency: php is needed by
> > package
> > > php-pear
> > > [root fulham ~]# yum install php
> > > ...
> > > ...
> > > Error: Missing Dependency: php is needed by
> > package
> > > php-ldap
> > > Error: Missing Dependency: php is needed by
> > package
> > > php-pear
> > >
> > > I have php and cannot figure out why uupdate
> > doesn't
> > > work... What am I missing? Any help appreciated,
> > ----
> > what do you get ?
> >
> > rpm -qa|grep php
> >
> > ls -l /etc/yum.repos.d
> >
> > cat /etc/yum.conf
> >
> > Craig
> > $ rpm -qa|grep php
> php-pear-4.3.9-3
> php-pear-4.3.10-3.2
> php-4.3.9-3
> php-ldap-4.3.9-3
> php-ldap-4.3.10-3.2
> 
> $ ls -l /etc/yum.repos.d
> total 32
> -rw-r--r--  1 root root 233 Nov  1 13:56
> fedora-devel.repo
> -rw-r--r--  1 root root 244 Nov  1 13:56 fedora.repo
> -rw-r--r--  1 root root 280 Nov  1 13:56
> fedora-updates.repo
> -rw-r--r--  1 root root 282 Nov  1 13:56
> fedora-updates-testing.r epo

Is this a typo on your part. There should be no space between the 'r'
and 'e' above, i.e. ".repo"


> $ cat /etc/yum.conf
> [main]
> cachedir=/var/cache/yum
> debuglevel=2
> logfile=/var/log/yum.log
> pkgpolicy=newest
> distroverpkg=redhat-release
> tolerant=1
> exactarch=1
> retries=20
> obsoletes=1
> gpgcheck=1
> 
> # PUT YOUR REPOS HERE OR IN separate files named
> file.repo
> # in /etc/yum.repos.d
> 
> ...
> what should this tell me? Thanks in advance
> kate
> 

The "rpm -qa ...."  output tells us that you have not upgraded php to
match other upgrades; i.e.  4..3.9-3 versus 4.3.10-3.2.

Do

   cat /etc/yum.repos.d/fedora-updates.repo

and 

   cat /etc/yum.repos.d/fedora-updates-testing.repo

to see which repos are enabled.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]